org.cpsolver.exam.model

## Class SimpleExamRoomSharing

- java.lang.Object
- - org.cpsolver.exam.model.ExamRoomSharing
  - - org.cpsolver.exam.model.SimpleExamRoomSharing

-     public class SimpleExamRoomSharing
      extends ExamRoomSharing

  Simple room sharing model. Any two exams of the same length (`Exam.getLength()`) can be put into any room, if the room is big enough.
  To enable this model, set property Exams.RoomSharingClass to org.cpsolver.exam.model.SimpleExamRoomSharing
  Version:
    ExamTT 1.3 (Examination Timetabling)
    Copyright (C) 2008 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleExamRoomSharing(Model<Exam,ExamPlacement> model, DataProperties config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canShareRoom(Exam x1, Exam x2)` True if given two exams can share a room

    - ### Methods inherited from class org.cpsolver.exam.model.ExamRoomSharing

      `computeConflicts, computeConflicts, inConflict, inConflict, load, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleExamRoomSharing

          public SimpleExamRoomSharing(Model<Exam,ExamPlacement> model,
                                       DataProperties config)

  - ### Method Detail

    - #### canShareRoom

          public boolean canShareRoom(Exam x1,
                                      Exam x2)

      Description copied from class: `ExamRoomSharing`
      True if given two exams can share a room
      Specified by:
        `canShareRoom` in class `ExamRoomSharing`
      Parameters:
        `x1` - first exam
        `x2` - second exam
      Returns:
        true if the two exams can share a room